Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7301)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -166,7 +166,6 @@
  * @subpackage tx_install
  */
 class tx_install extends t3lib_install {
-	var $contentObject;
 	var $templateFilePath = 'typo3/sysext/install/Resources/Private/Templates/';
 	var $template;
 	var $javascript;
@@ -251,7 +250,6 @@
 	 */
 	function tx_install() {
 		parent::t3lib_install();
-		$this->contentObject = t3lib_div::makeInstance('tslib_cObj');
 
 		if (!$GLOBALS['TYPO3_CONF_VARS']['BE']['installToolPassword'])	die("Install Tool deactivated.<br />You must enable it by setting a password in typo3conf/localconf.php. If you insert the line below, the password will be 'joh316':<br /><br />\$TYPO3_CONF_VARS['BE']['installToolPassword'] = 'bacb98acf97e0b6112b1d1b650b84971';");
 
@@ -434,14 +432,14 @@
 			PATH_site . $this->templateFilePath . 'LoginForm.html'
 		);
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart(
+		$template = t3lib_parsehtml::getSubpart(
 			$templateFile, '###TEMPLATE###'
 		);
 			// Password has been given, but this form is rendered again.
 			// This means the given password was wrong
 		if (!empty($password)) {
 				// Get the subpart for the wrong password
-			$wrongPasswordSubPart = $this->contentObject->getSubpart(
+			$wrongPasswordSubPart = t3lib_parsehtml::getSubpart(
 				$template, '###WRONGPASSWORD###'
 			);
 				// Define the markers content
@@ -450,7 +448,7 @@
 				'password' => md5($password)
 			);
 				// Fill the markers in the subpart
-			$wrongPasswordSubPart = $this->contentObject->substituteMarkerArray(
+			$wrongPasswordSubPart = t3lib_parsehtml::substituteMarkerArray(
 				$wrongPasswordSubPart,
 				$wrongPasswordMarkers,
 				'###|###',
@@ -461,7 +459,7 @@
 			// Session has expired
 		if (!$this->session->isAuthorized() && $this->session->isExpired()) {
 				// Get the subpart for the expired session message
-			$sessionExpiredSubPart = $this->contentObject->getSubpart(
+			$sessionExpiredSubPart = t3lib_parsehtml::getSubpart(
 				$template, '###SESSIONEXPIRED###'
 			);
 				// Define the markers content
@@ -469,7 +467,7 @@
 				'message' => 'Your install tool session has expired'
 			);
 				// Fill the markers in the subpart
-			$sessionExpiredSubPart = $this->contentObject->substituteMarkerArray(
+			$sessionExpiredSubPart = t3lib_parsehtml::substituteMarkerArray(
 				$sessionExpiredSubPart,
 				$sessionExpiredMarkers,
 				'###|###',
@@ -478,13 +476,13 @@
 			);
 		}
 			// Substitute the subpart for the expired session in the template
-		$template = $this->contentObject->substituteSubpart(
+		$template = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###SESSIONEXPIRED###',
 			$sessionExpiredSubPart
 		);
 			// Substitute the subpart for the wrong password in the template
-		$template = $this->contentObject->substituteSubpart(
+		$template = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###WRONGPASSWORD###',
 			$wrongPasswordSubPart
@@ -511,7 +509,7 @@
 			'
 		);
 			// Fill the markers in the template
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$markers,
 			'###|###',
@@ -700,7 +698,7 @@
 						PATH_site . $this->templateFilePath . 'InitExtConfig.html'
 					);
 						// Get the template part from the file
-					$template = $this->contentObject->getSubpart(
+					$template = t3lib_parsehtml::getSubpart(
 						$templateFile, '###TEMPLATE###'
 					);
 						// Define the markers content
@@ -715,7 +713,7 @@
 						'
 					);
 						// Fill the markers in the template
-					$content = $this->contentObject->substituteMarkerArray(
+					$content = t3lib_parsehtml::substituteMarkerArray(
 						$template,
 						$markers,
 						'###|###',
@@ -912,7 +910,7 @@
 			PATH_site . $this->templateFilePath . 'StepOutput.html'
 		);
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart(
+		$template = t3lib_parsehtml::getSubpart(
 			$templateFile, '###TEMPLATE###'
 		);
 			// Define the markers content
@@ -972,7 +970,7 @@
 			switch(strtolower($this->step)) {
 				case 1:
 						// Get the subpart for the first step
-					$step1SubPart = $this->contentObject->getSubpart(
+					$step1SubPart = t3lib_parsehtml::getSubpart(
 						$templateFile, '###STEP1###'
 					);
 						// Add header marker for main template
@@ -994,7 +992,7 @@
 						'continue' => 'Continue'
 					);
 						// Add step marker for main template
-					$markers['step'] = $this->contentObject->substituteMarkerArray(
+					$markers['step'] = t3lib_parsehtml::substituteMarkerArray(
 						$step1SubPart,
 						$step1SubPartMarkers,
 						'###|###',
@@ -1004,7 +1002,7 @@
 				break;
 				case 2:
 						// Get the subpart for the second step
-					$step2SubPart = $this->contentObject->getSubpart(
+					$step2SubPart = t3lib_parsehtml::getSubpart(
 						$templateFile, '###STEP2###'
 					);
 						// Add header marker for main template
@@ -1024,7 +1022,7 @@
 						'continue' => 'Continue'
 					);
 						// Add step marker for main template
-					$markers['step'] = $this->contentObject->substituteMarkerArray(
+					$markers['step'] = t3lib_parsehtml::substituteMarkerArray(
 						$step2SubPart,
 						$step2SubPartMarkers,
 						'###|###',
@@ -1040,11 +1038,11 @@
 						TYPO3_db_host, TYPO3_db_username, TYPO3_db_password
 					)) {
 							// Get the subpart for the third step
-						$step3SubPart = $this->contentObject->getSubpart(
+						$step3SubPart = t3lib_parsehtml::getSubpart(
 							$templateFile, '###STEP3###'
 						);
 							// Get the subpart for the database options
-						$step3DatabaseOptionsSubPart = $this->contentObject->getSubpart(
+						$step3DatabaseOptionsSubPart = t3lib_parsehtml::getSubpart(
 							$step3SubPart, '###DATABASEOPTIONS###'
 						);
 
@@ -1058,7 +1056,7 @@
 								'databaseName' => htmlspecialchars($dbname)
 							);
 								// Add the option HTML to an array
-							$step3DatabaseOptions[] = $this->contentObject->substituteMarkerArray(
+							$step3DatabaseOptions[] = t3lib_parsehtml::substituteMarkerArray(
 								$step3DatabaseOptionsSubPart,
 								$step3DatabaseOptionMarkers,
 								'###|###',
@@ -1075,7 +1073,7 @@
 								'databaseName' => htmlspecialchars(TYPO3_db) . ' (NO ACCESS!)'
 							);
 								// Add the option HTML to an array
-							$step3DatabaseOptions[] = $this->contentObject->substituteMarkerArray(
+							$step3DatabaseOptions[] = t3lib_parsehtml::substituteMarkerArray(
 								$step3DatabaseOptionsSubPart,
 								$step3DatabaseOptionMarkers,
 								'###|###',
@@ -1084,7 +1082,7 @@
 							);
 						}
 							// Substitute the subpart for the database options
-						$content = $this->contentObject->substituteSubpart(
+						$content = t3lib_parsehtml::substituteSubpart(
 							$step3SubPart,
 							'###DATABASEOPTIONS###',
 							implode(chr(10), $step3DatabaseOptions)
@@ -1101,7 +1099,7 @@
 							'continue' => 'Continue'
 						);
 							// Add step marker for main template
-						$markers['step'] = $this->contentObject->substituteMarkerArray(
+						$markers['step'] = t3lib_parsehtml::substituteMarkerArray(
 							$content,
 							$step3SubPartMarkers,
 							'###|###',
@@ -1123,11 +1121,11 @@
 							// The selected database should be accessible
 						if ($GLOBALS['TYPO3_DB']->sql_select_db(TYPO3_db)) {
 								// Get the subpart for the fourth step
-							$step4SubPart = $this->contentObject->getSubpart(
+							$step4SubPart = t3lib_parsehtml::getSubpart(
 								$templateFile, '###STEP4###'
 							);
 								// Get the subpart for the database type options
-							$step4DatabaseTypeOptionsSubPart = $this->contentObject->getSubpart(
+							$step4DatabaseTypeOptionsSubPart = t3lib_parsehtml::getSubpart(
 								$step4SubPart, '###DATABASETYPEOPTIONS###'
 							);
 
@@ -1148,7 +1146,7 @@
 									'databaseName' => htmlspecialchars(basename($f))
 								);
 									// Add the option HTML to an array
-								$step4DatabaseTypeOptions[] = $this->contentObject->substituteMarkerArray(
+								$step4DatabaseTypeOptions[] = t3lib_parsehtml::substituteMarkerArray(
 									$step4DatabaseTypeOptionsSubPart,
 									$step4DatabaseTypeOptionMarkers,
 									'###|###',
@@ -1157,7 +1155,7 @@
 								);
 							}
 								// Substitute the subpart for the database type options
-							$content = $this->contentObject->substituteSubpart(
+							$content = t3lib_parsehtml::substituteSubpart(
 								$step4SubPart,
 								'###DATABASETYPEOPTIONS###',
 								implode(chr(10), $step4DatabaseTypeOptions)
@@ -1178,7 +1176,7 @@
 								'label' => 'Import database'
 							);
 								// Add step marker for main template
-							$markers['step'] = $this->contentObject->substituteMarkerArray(
+							$markers['step'] = t3lib_parsehtml::substituteMarkerArray(
 								$content,
 								$step4SubPartMarkers,
 								'###|###',
@@ -1206,7 +1204,7 @@
 								// The database should contain tables
 							if (count($whichTables)) {
 									// Get the subpart for the go step
-								$stepGoSubPart = $this->contentObject->getSubpart(
+								$stepGoSubPart = t3lib_parsehtml::getSubpart(
 									$templateFile, '###STEPGO###'
 								);
 									// Define the markers content
@@ -1222,7 +1220,7 @@
 									'
 								);
 									// Add step marker for main template
-								$markers['step'] = $this->contentObject->substituteMarkerArray(
+								$markers['step'] = t3lib_parsehtml::substituteMarkerArray(
 									$stepGoSubPart,
 									$stepGoSubPartMarkers,
 									'###|###',
@@ -1245,7 +1243,7 @@
 			}
 		}
 			// Fill the markers in the template
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$markers,
 			'###|###',
@@ -1354,9 +1352,9 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'Typo3ConfEdit.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Get the subpart for the files
-		$filesSubpart = $this->contentObject->getSubpart($template, '###FILES###');
+		$filesSubpart = t3lib_parsehtml::getSubpart($template, '###FILES###');
 		$files = array();
 
 		$typo3conf_files = t3lib_div::getFilesInDir($EDIT_path,'',1,1);
@@ -1380,7 +1378,7 @@
 				'class' => $this->INSTALL['typo3conf_files'] && !strcmp($this->INSTALL['typo3conf_files'], $file) ? 'class="act"' : ''
 			);
 				// Fill the markers in the subpart
-			$files[] = $this->contentObject->substituteMarkerArray(
+			$files[] = t3lib_parsehtml::substituteMarkerArray(
 				$filesSubpart,
 				$filesMarkers,
 				'###|###',
@@ -1394,26 +1392,26 @@
 			$backupFile = $this->getBackupFilename($this->INSTALL['typo3conf_files']);
 			$fileContent = t3lib_div::getUrl($this->INSTALL['typo3conf_files']);
 				// Get the subpart to edit the files
-			$fileEditTemplate = $this->contentObject->getSubpart($template, '###FILEEDIT###');
+			$fileEditTemplate = t3lib_parsehtml::getSubpart($template, '###FILEEDIT###');
 			$allowFileEditOutsideTypo3ConfDirSubPart = '';
 
 			if (substr($this->INSTALL['typo3conf_files'], -1) != '~' && !strstr($this->INSTALL['typo3conf_files'], '_bak')) {
 					// Get the subpart to show the save button
-				$showSaveButtonSubPart = $this->contentObject->getSubpart($fileEditTemplate, '###SHOWSAVEBUTTON###');
+				$showSaveButtonSubPart = t3lib_parsehtml::getSubpart($fileEditTemplate, '###SHOWSAVEBUTTON###');
 			}
 
 			if ($this->allowFileEditOutsite_typo3conf_dir) {
 					// Get the subpart to show if files are allowed outside the directory typo3conf
-				$allowFileEditOutsideTypo3ConfDirSubPart = $this->contentObject->getSubpart($fileEditTemplate, '###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###');
+				$allowFileEditOutsideTypo3ConfDirSubPart = t3lib_parsehtml::getSubpart($fileEditTemplate, '###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###');
 			}
 				// Substitute the subpart for the save button
-			$fileEditContent = $this->contentObject->substituteSubpart(
+			$fileEditContent = t3lib_parsehtml::substituteSubpart(
 				$fileEditTemplate,
 				'###SHOWSAVEBUTTON###',
 				$showSaveButtonSubPart
 			);
 				// Substitute the subpart to show if files are allowed outside the directory typo3conf
-			$fileEditContent = $this->contentObject->substituteSubpart(
+			$fileEditContent = t3lib_parsehtml::substituteSubpart(
 				$fileEditContent,
 				'###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###',
 				$allowFileEditOutsideTypo3ConfDirSubPart
@@ -1438,7 +1436,7 @@
 				'backup' => 'Make backup copy (rename to ' . basename($backupFile) . ')'
 			);
 				// Fill the markers in the subpart to edit the files
-			$fileEditContent = $this->contentObject->substituteMarkerArray(
+			$fileEditContent = t3lib_parsehtml::substituteMarkerArray(
 				$fileEditContent,
 				$fileEditMarkers,
 				'###|###',
@@ -1449,7 +1447,7 @@
 
 		if ($this->allowFileEditOutsite_typo3conf_dir) {
 				// Get the subpart to show if files are allowed outside the directory typo3conf
-			$allowFileEditOutsideTypo3ConfDirSubPart = $this->contentObject->getSubpart($template, '###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###');
+			$allowFileEditOutsideTypo3ConfDirSubPart = t3lib_parsehtml::getSubpart($template, '###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###');
 				// Define the markers content
 			$allowFileEditOutsideTypo3ConfDirMarkers = array(
 				'action' => $this->action,
@@ -1458,7 +1456,7 @@
 				'set' => 'Set'
 			);
 				// Fill the markers in the subpart
-			$allowFileEditOutsideTypo3ConfDirSubPart = $this->contentObject->substituteMarkerArray(
+			$allowFileEditOutsideTypo3ConfDirSubPart = t3lib_parsehtml::substituteMarkerArray(
 				$allowFileEditOutsideTypo3ConfDirSubPart,
 				$allowFileEditOutsideTypo3ConfDirMarkers,
 				'###|###',
@@ -1467,19 +1465,19 @@
 			);
 		}
 			// Substitute the subpart to edit the file
-		$fileListContent = $this->contentObject->substituteSubpart(
+		$fileListContent = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###FILEEDIT###',
 			$fileEditContent
 		);
 			// Substitute the subpart when files can be edited outside typo3conf directory
-		$fileListContent = $this->contentObject->substituteSubpart(
+		$fileListContent = t3lib_parsehtml::substituteSubpart(
 			$fileListContent,
 			'###ALLOWFILEEDITOUTSIDETYPO3CONFDIR###',
 			$allowFileEditOutsideTypo3ConfDirSubPart
 		);
 			// Substitute the subpart for the files
-		$fileListContent = $this->contentObject->substituteSubpart(
+		$fileListContent = t3lib_parsehtml::substituteSubpart(
 			$fileListContent,
 			'###FILES###',
 			implode(chr(10), $files)
@@ -1491,7 +1489,7 @@
 			'deleteTempCached' => 'Delete temp_CACHED* files'
 		);
 			// Fill the markers
-		$fileListContent = $this->contentObject->substituteMarkerArray(
+		$fileListContent = t3lib_parsehtml::substituteMarkerArray(
 			$fileListContent,
 			$fileListMarkers,
 			'###|###',
@@ -1550,14 +1548,14 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'PhpInformation.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Define the markers content
 		$markers = array(
 			'explanation' => 'Please copy/paste the information from this text field into an email or bug-report as "Debug System Information" whenever you wish to get support or report problems. This information helps others to check if your system has some obvious misconfiguration and you\'ll get your help faster!',
 			'debugInfo' => t3lib_div::formatForTextarea(implode(chr(10), $debugInfo))
 		);
 			// Fill the markers
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$markers,
 			'###|###',
@@ -1729,9 +1727,9 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'Typo3TempManager.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Get the subpart for 'Delete files by condition' dropdown
-		$deleteOptionsSubpart = $this->contentObject->getSubpart($template, '###DELETEOPTIONS###');
+		$deleteOptionsSubpart = t3lib_parsehtml::getSubpart($template, '###DELETEOPTIONS###');
 		$deleteOptions = array();
 
 		foreach ($deleteType as $deleteKey => $deleteValue) {
@@ -1742,7 +1740,7 @@
 				'data' => htmlspecialchars($deleteValue)
 			);
 				// Fill the markers in the subpart
-			$deleteOptions[] = $this->contentObject->substituteMarkerArray(
+			$deleteOptions[] = t3lib_parsehtml::substituteMarkerArray(
 				$deleteOptionsSubpart,
 				$deleteMarkers,
 				'###|###',
@@ -1751,13 +1749,13 @@
 			);
 		}
 			// Substitute the subpart for 'Delete files by condition' dropdown
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###DELETEOPTIONS###',
 			implode(chr(10), $deleteOptions)
 		);
 			// Get the subpart for 'Number of files at a time' dropdown
-		$actionOptionsSubpart = $this->contentObject->getSubpart($template, '###ACTIONOPTIONS###');
+		$actionOptionsSubpart = t3lib_parsehtml::getSubpart($template, '###ACTIONOPTIONS###');
 		$actionOptions = array();
 
 		foreach ($actionType as $actionKey => $actionValue) {
@@ -1767,7 +1765,7 @@
 				'data' => htmlspecialchars($actionValue)
 			);
 				// Fill the markers in the subpart
-			$actionOptions[] = $this->contentObject->substituteMarkerArray(
+			$actionOptions[] = t3lib_parsehtml::substituteMarkerArray(
 				$actionOptionsSubpart,
 				$actionMarkers,
 				'###|###',
@@ -1776,13 +1774,13 @@
 			);
 		}
 			// Substitute the subpart for 'Number of files at a time' dropdown
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$content,
 			'###ACTIONOPTIONS###',
 			implode(chr(10), $actionOptions)
 		);
 			// Get the subpart for 'From sub-directory' dropdown
-		$subDirectoryOptionsSubpart = $this->contentObject->getSubpart($template, '###SUBDIRECTORYOPTIONS###');
+		$subDirectoryOptionsSubpart = t3lib_parsehtml::getSubpart($template, '###SUBDIRECTORYOPTIONS###');
 		$subDirectoryOptions = array();
 
 		foreach ($subdirRegistry as $subDirectoryKey => $subDirectoryValue) {
@@ -1793,7 +1791,7 @@
 				'data' => htmlspecialchars($subDirectoryValue)
 			);
 				// Fill the markers in the subpart
-			$subDirectoryOptions[] = $this->contentObject->substituteMarkerArray(
+			$subDirectoryOptions[] = t3lib_parsehtml::substituteMarkerArray(
 				$subDirectoryOptionsSubpart,
 				$subDirectoryMarkers,
 				'###|###',
@@ -1802,7 +1800,7 @@
 			);
 		}
 			// Substitute the subpart for 'From sub-directory' dropdown
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$content,
 			'###SUBDIRECTORYOPTIONS###',
 			implode(chr(10), $subDirectoryOptions)
@@ -1829,7 +1827,7 @@
 			'
 		);
 			// Fill the markers
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$content,
 			$markers,
 			'###|###',
@@ -1913,9 +1911,9 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CleanUpManager.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Get the subpart for the 'Clean up' dropdown
-		$cleanUpOptionsSubpart = $this->contentObject->getSubpart($template, '###CLEANUPOPTIONS###');
+		$cleanUpOptionsSubpart = t3lib_parsehtml::getSubpart($template, '###CLEANUPOPTIONS###');
 		$cleanUpOptions = array();
 
 		foreach ($cleanupType as $cleanUpKey => $cleanUpValue) {
@@ -1925,7 +1923,7 @@
 				'data' => htmlspecialchars($cleanUpValue)
 			);
 				// Fill the markers in the subpart
-			$cleanUpOptions[] = $this->contentObject->substituteMarkerArray(
+			$cleanUpOptions[] = t3lib_parsehtml::substituteMarkerArray(
 				$cleanUpOptionsSubpart,
 				$cleanUpMarkers,
 				'###|###',
@@ -1934,7 +1932,7 @@
 			);
 		}
 			// Substitute the subpart for the 'Clean up' dropdown
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###CLEANUPOPTIONS###',
 			implode(chr(10), $cleanUpOptions)
@@ -1948,7 +1946,7 @@
 			'execute' => 'Execute'
 		);
 			// Fill the markers
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$content,
 			$markers,
 			'###|###',
@@ -1994,7 +1992,7 @@
 					// Get the template file
 				$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'GenerateConfigForm.html');
 					// Get the template part from the file
-				$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+				$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 
 				foreach ($GLOBALS['TYPO3_CONF_VARS'] as $k => $va) {
 					$ext='['.$k.']';
@@ -2014,7 +2012,7 @@
 
 							if ($isTextarea) {
 									// Get the subpart for a textarea
-								$textAreaSubpart = $this->contentObject->getSubpart($template, '###TEXTAREA###');
+								$textAreaSubpart = t3lib_parsehtml::getSubpart($template, '###TEXTAREA###');
 									// Define the markers content
 								$textAreaMarkers = array(
 									'id' => $k . '-' . $vk,
@@ -2022,7 +2020,7 @@
 									'value' => $value
 								);
 									// Fill the markers in the subpart
-								$textAreaSubpart = $this->contentObject->substituteMarkerArray(
+								$textAreaSubpart = t3lib_parsehtml::substituteMarkerArray(
 									$textAreaSubpart,
 									$textAreaMarkers,
 									'###|###',
@@ -2031,7 +2029,7 @@
 								);
 							} elseif (preg_match('/^boolean/i',$description)) {
 									// Get the subpart for a checkbox
-								$booleanSubpart = $this->contentObject->getSubpart($template, '###BOOLEAN###');
+								$booleanSubpart = t3lib_parsehtml::getSubpart($template, '###BOOLEAN###');
 									// Define the markers content
 								$booleanMarkers = array(
 									'id' => $k . '-' . $vk,
@@ -2040,7 +2038,7 @@
 									'checked' => $value ? 'checked="checked"' : ''
 								);
 									// Fill the markers in the subpart
-								$booleanSubpart = $this->contentObject->substituteMarkerArray(
+								$booleanSubpart = t3lib_parsehtml::substituteMarkerArray(
 									$booleanSubpart,
 									$booleanMarkers,
 									'###|###',
@@ -2049,7 +2047,7 @@
 								);
 							} else {
 									// Get the subpart for an input text field
-								$textLineSubpart = $this->contentObject->getSubpart($template, '###TEXTLINE###');
+								$textLineSubpart = t3lib_parsehtml::getSubpart($template, '###TEXTLINE###');
 									// Define the markers content
 								$textLineMarkers = array(
 									'id' => $k . '-' . $vk,
@@ -2057,7 +2055,7 @@
 									'value' => $value
 								);
 									// Fill the markers in the subpart
-								$textLineSubpart = $this->contentObject->substituteMarkerArray(
+								$textLineSubpart = t3lib_parsehtml::substituteMarkerArray(
 									$textLineSubpart,
 									$textLineMarkers,
 									'###|###',
@@ -2066,19 +2064,19 @@
 								);
 							}
 								// Substitute the subpart for a textarea
-							$content = $this->contentObject->substituteSubpart(
+							$content = t3lib_parsehtml::substituteSubpart(
 								$template,
 								'###TEXTAREA###',
 								$textAreaSubpart
 							);
 								// Substitute the subpart for a checkbox
-							$content = $this->contentObject->substituteSubpart(
+							$content = t3lib_parsehtml::substituteSubpart(
 								$content,
 								'###BOOLEAN###',
 								$booleanSubpart
 							);
 								// Substitute the subpart for an input text field
-							$content = $this->contentObject->substituteSubpart(
+							$content = t3lib_parsehtml::substituteSubpart(
 								$content,
 								'###TEXTLINE###',
 								$textLineSubpart
@@ -2090,7 +2088,7 @@
 								'label' => htmlspecialchars(t3lib_div::fixed_lgd_cs($value, 40))
 							);
 								// Fill the markers
-							$content = $this->contentObject->substituteMarkerArray(
+							$content = t3lib_parsehtml::substituteMarkerArray(
 								$content,
 								$markers,
 								'###|###',
@@ -2647,14 +2645,14 @@
 					// Get the template file
 				$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckMail.html');
 					// Get the template part from the file
-				$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+				$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 
 				if (!empty($this->mailMessage)) {
 						// Get the subpart for the mail is sent message
-					$mailSentSubpart = $this->contentObject->getSubpart($template, '###MAILSENT###');
+					$mailSentSubpart = t3lib_parsehtml::getSubpart($template, '###MAILSENT###');
 				}
 					// Substitute the subpart for the mail is sent message
-				$template = $this->contentObject->substituteSubpart(
+				$template = t3lib_parsehtml::substituteSubpart(
 					$template,
 					'###MAILSENT###',
 					$mailSentSubpart
@@ -2668,7 +2666,7 @@
 					'submit' => 'Send test mail'
 				);
 					// Fill the markers
-				$out .= $this->contentObject->substituteMarkerArray(
+				$out .= t3lib_parsehtml::substituteMarkerArray(
 					$template,
 					$markers,
 					'###|###',
@@ -2998,9 +2996,9 @@
 			', 2);
 		} else {
 				// Get the subpart for the ImageMagick versions
-			$theCode = $this->contentObject->getSubpart($templateFile, '###VERSIONS###');
+			$theCode = t3lib_parsehtml::getSubpart($templateFile, '###VERSIONS###');
 				// Get the subpart for each ImageMagick version
-			$rowsSubPart = $this->contentObject->getSubpart($theCode, '###ROWS###');
+			$rowsSubPart = t3lib_parsehtml::getSubpart($theCode, '###ROWS###');
 
 			foreach ($this->config_array['im_versions'] as $p => $v) {
 				$ka = array();
@@ -3013,7 +3011,7 @@
 					'version' => implode('<br />', $v)
 				);
 					// Fill the markers in the subpart
-				$rows[] = $this->contentObject->substituteMarkerArray(
+				$rows[] = t3lib_parsehtml::substituteMarkerArray(
 					$rowsSubPart,
 					$rowsMarkers,
 					'###|###',
@@ -3022,7 +3020,7 @@
 				);
 			}
 				// Substitute the subpart for the ImageMagick versions
-			$theCode = $this->contentObject->substituteSubpart(
+			$theCode = t3lib_parsehtml::substituteSubpart(
 				$theCode,
 				'###ROWS###',
 				implode(chr(10), $rows)
@@ -3031,7 +3029,7 @@
 			$this->message($ext, 'Available ImageMagick/GraphicsMagick installations:', $theCode, -1);
 		}
 			// Get the template file
-		$formSubPart = $this->contentObject->getSubpart($templateFile, '###FORM###');
+		$formSubPart = t3lib_parsehtml::getSubpart($templateFile, '###FORM###');
 			// Define the markers content
 		$formMarkers = array(
 			'actionUrl' => $this->action,
@@ -3043,7 +3041,7 @@
 			'send' => 'Send'
 		);
 			// Fill the markers
-		$formSubPart = $this->contentObject->substituteMarkerArray(
+		$formSubPart = t3lib_parsehtml::substituteMarkerArray(
 			$formSubPart,
 			$formMarkers,
 			'###|###',
@@ -3252,9 +3250,9 @@
 					// Get the template file
 				$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'SetupGeneral.html');
 					// Get the template part from the file
-				$form = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+				$form = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 					// Get the subpart for all modes
-				$allModesSubpart = $this->contentObject->getSubpart($form, '###ALLMODES###');
+				$allModesSubpart = t3lib_parsehtml::getSubpart($form, '###ALLMODES###');
 					// Define the markers content
 				$formMarkers['actionUrl'] = $this->action;
 
@@ -3264,14 +3262,14 @@
 				} elseif ($this->config_array['sql.safe_mode_user']) {
 					$username = $this->config_array['sql.safe_mode_user'];
 						// Get the subpart for the sql safe mode user
-					$sqlSafeModeUserSubpart = $this->contentObject->getSubpart($allModesSubpart, '###SQLSAFEMODEUSERSUBPART###');
+					$sqlSafeModeUserSubpart = t3lib_parsehtml::getSubpart($allModesSubpart, '###SQLSAFEMODEUSERSUBPART###');
 						// Define the markers content
 					$sqlSafeModeUserMarkers = array(
 						'labelSqlSafeModeUser' => 'sql.safe_mode_user:',
 						'sqlSafeModeUser' => $this->config_array['sql.safe_mode_user']
 					);
 						// Fill the markers in the subpart
-					$sqlSafeModeUserSubpart = $this->contentObject->substituteMarkerArray(
+					$sqlSafeModeUserSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$sqlSafeModeUserSubpart,
 						$sqlSafeModeUserMarkers,
 						'###|###',
@@ -3280,7 +3278,7 @@
 					);
 				}
 					// Get the subpart for all modes
-				$allModesSubpart = $this->contentObject->substituteSubpart(
+				$allModesSubpart = t3lib_parsehtml::substituteSubpart(
 					$allModesSubpart,
 					'###SQLSAFEMODEUSERSUBPART###',
 					$sqlSafeModeUserSubpart
@@ -3297,12 +3295,12 @@
 					'labelCreateDatabase' => 'Create database?'
 				);
 					// Get the subpart for the database list
-				$databasesSubpart = $this->contentObject->getSubpart($allModesSubpart, '###DATABASELIST###');
+				$databasesSubpart = t3lib_parsehtml::getSubpart($allModesSubpart, '###DATABASELIST###');
 				if ($this->config_array['mysqlConnect']) {
 						// Get the subpart when database is available
-					$databaseAvailableSubpart = $this->contentObject->getSubpart($databasesSubpart, '###DATABASEAVAILABLE###');
+					$databaseAvailableSubpart = t3lib_parsehtml::getSubpart($databasesSubpart, '###DATABASEAVAILABLE###');
 						// Get the subpart for each database table
-					$databaseItemSubpart = $this->contentObject->getSubpart($databaseAvailableSubpart, '###DATABASEITEM###');
+					$databaseItemSubpart = t3lib_parsehtml::getSubpart($databaseAvailableSubpart, '###DATABASEITEM###');
 					$dbArr = $this->getDatabaseList();
 					$options='';
 					$dbIncluded=0;
@@ -3317,7 +3315,7 @@
 							$databaseItemMarkers['databaseSelected'] = 'selected="selected"';
 						}
 							// Fill the markers in the subpart
-						$databaseItems[]  = $this->contentObject->substituteMarkerArray(
+						$databaseItems[]  = t3lib_parsehtml::substituteMarkerArray(
 							$databaseItemSubpart,
 							$databaseItemMarkers,
 							'###|###',
@@ -3331,7 +3329,7 @@
 						$databaseItemMarkers['databaseSelected'] = 'selected="selected"';
 						$databaseItemMarkers['databaseValue'] = htmlspecialchars(TYPO3_db) . ' (NO ACCESS!)';
 							// Fill the markers in the subpart
-						$databaseItems[]  = $this->contentObject->substituteMarkerArray(
+						$databaseItems[]  = t3lib_parsehtml::substituteMarkerArray(
 							$databaseItemSubpart,
 							$databaseItemMarkers,
 							'###|###',
